# $Revision: 1.10 $, $Date: 2006/08/22 15:24:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	Address
Summary:	Email::Address - RFC 2822 Address Parsing and Creation
Summary(pl):	Email::Address - Parsowanie i tworzenie adresw zgodnych z RFC 2822
Name:		perl-Email-Address
Version:	1.86
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f5c9be444470fcb8a8041aea30a70596
URL:		http://search.cpan.org/dist/Email-Address/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class implements a complete RFC 2822 parser that locates email
addresses in strings and returns a list of Email::Address objects
found. Alternatley you may construct objects manually. The goal of
this software is to be correct, very very fast, and API compatible
with the MailTools version. Did I mention fast?

%description -l pl
Ta klasa implementuje zgodny z RFC 2822 parser ktry lokalizuje adresy
email w cigach znakw i zwraca list obiektw Email::Address. Moliwe
jest take tworzenie takich obiektw rczenie. Oprogramowanie to ma
by poprawne, bardzo bardzo szybkie, i z API zgodnym z MailTools.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Email/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-Address.spec,v $
Revision 1.10  2006/08/22 15:24:02  glen
- rel 1, generic url

Revision 1.9  2006/08/10 21:15:50  agaran
- up to 1.86, rel 0.1, builds here

Revision 1.8  2004/11/03 22:30:20  paladine
- formatting

Revision 1.7  2004/11/03 13:13:12  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/10/24 11:22:24  blaass
- updated to 1.80

Revision 1.5  2004/10/06 14:10:20  adamg
- updated to 1.6

Revision 1.4  2004/08/22 09:05:53  adamg
- updated to 1.3

Revision 1.3  2004/08/08 12:19:14  adamg
- release 2

Revision 1.2  2004/06/06 10:17:58  adamg
- pl description

Revision 1.1  2004/06/05 22:05:45  adamg
- new
